Bug 172845 - ip_conntrack_amanda fails causes timeout
ip_conntrack_amanda fails causes timeout
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-10 10:09 EST by Chris Hapgood
Modified: 2015-01-04 17:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Amanda client error log. (1.15 KB, text/plain)
2005-11-10 10:16 EST, Chris Hapgood
no flags Details

  None (edit)
Description Chris Hapgood 2005-11-10 10:09:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Tablet PC 1.7)

Description of problem:
When backing up the amanda client (amanda-client-2.4.5-2) using amdump, the backup will fail.  The report from amanda states:

   suzuki.hap /etc lev 1 FAILED 20051109 [too many dumper retry]



Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1.Install amanda-client on client
2.Install amanda-server on server
3.Configure server and client for backup (disklist on server includes client)
4.Configure iptables on client to load ip_conntrack_amanda and to allow tcp and udp input on port 10080.
5.Run amdump on server
  

Actual Results:  Amanda client (sendbackup) reports a timeout, server (amdump) fails and reports "[too many dumper retry]"

Expected Results:  Server backs up client.

Additional info:

On the client, the logs show the client has timed out running sendbackup.  I will attach an example of this log.

The amcheck application works perfectly.

After unloading the ip_conntrack_amanda module and opening a big hole in the firewall, backup works perfectly.

This bug is similar to 143803, but on FC4 instead of FC3 (where it appears that it should have been resolved) and the amanda error is slightly different on the server.
Comment 1 Chris Hapgood 2005-11-10 10:16:45 EST
Created attachment 120882 [details]
Amanda client error log.
Comment 2 Dave Jones 2005-11-10 14:39:33 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Chris Hapgood 2005-11-12 17:09:35 EST
Loaded kernel version 2.6.14-1.1637_FC4smp with ip_conntrack_amanda loaded and 
the backup again failed.  Removing ip_conntrack_amanda and opening a big hole 
in the firewall permitted the backup to complete.

Any suggestions?
Comment 4 Chris Hapgood 2005-11-12 17:22:50 EST
Please note that the client being backed up is on the far end of an IPSec 
tunnel.  The tunnel endpoint is actually on the host being backed up.

Probably shouldn't be relevant, but you never know...
Comment 5 Brian J. Murrell 2005-11-21 15:00:18 EST
Hi.

I wonder if this is an issue with the master connection timing out.  There
should be a module parameter called "master_timeout" that sets the timeout for
the master connection.  By default it's 10 minutes (600 seconds).  Try
increasing that.  I would first go with a ridiculously high value like 86400 and
see if that solves the problem.  Then you can work on a more appropriate value.
Comment 6 Chris Hapgood 2005-11-21 21:26:26 EST
Actually, I had already tried long timeouts for the master connection (options 
ip_conntrack_amanda master_timeout=7200 in /etc/modprobe.conf).  But the really 
interesting thing is that the failures happen in less than five minutes (which 
is the default timeout I believe).

Regards,
Chris
Comment 7 Brian J. Murrell 2005-11-23 17:48:00 EST
Hrm.  About all I can think of then is to try sniffing the protocol.  At least
that way you will see who is sending what to whom and who is closing the
connection first.
Comment 8 Dave Jones 2006-02-03 01:53:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 Chris Hapgood 2006-02-07 16:22:43 EST
This problem is definitely still around -and I have upgraded the kernel on 
both the client and the server to 2.6.15-1.1830_FC4smp.

Please note the suspicious similarity of this case to 179890.  Both involve 
ip_conntrack helper modules that fail over an IPSec tunnel.

Regards,
Chris
Comment 10 Dave Jones 2006-09-16 22:16:49 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 11 Dave Jones 2006-10-16 17:18:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Jon Stanley 2008-01-19 23:39:48 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.